<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */

# Checks login and password and start session when they are right
# @author Igor Támara
# Public domain. No warranties. 2003. http://structio.sourceforge.net/sigue

session_start();
require "auth/confcol.php";
require "Autenticacion.php";
require "CronQuery.php";
require "ecesar.php";

$l=explode(":",$_POST["login"]);
$_SESSION["autenticado"]=false;
if (autenticaUsuario($l[0],$_POST["clave"])) {
  session_name("sigue");
  $_SESSION["autenticado"]=true;
  $_SESSION["accion"]="recuperar";

  $_SESSION["login"]=$l[0];
  $_SESSION["pass"]=enc_ala_cesar($GLOBALS['PALABRA_SITIO'],$_POST['clave']);
  $_SESSION["teacher"]=$l[1];
  $_SESSION["teacherdir"]=$l[2];

  $_SESSION['año']=date("Y");
  $tcron=new CronQuery($GLOBALS['DIRCOL']."/cron.sec");
  $per=$tcron->periodo();
  $_SESSION['periodo']=$per;
  $_SESSION['siguientes']=array();
  if (!$GLOBALS["VALORAR"] && isset($per) && $per!="") {
  	$_SESSION['siguientes'][0]=$tcron->periodo();
  }
  foreach($tcron->siguientes() as $k => $v) {
	if (substr($v,1,4)==$_SESSION['año']) {
		$_SESSION['siguientes'][]=$v;
	}
  }
  $_SESSION['todosper']=$tcron->todos();

  header ("location: principal.php");
}
else {
  unset($_SESSION['login']);
  session_unregister("login");
  $title="Usuario No válido";
  require "header.php";
  session_destroy();
  require "footer.php";
}


?>
